Packager: Igor Vlasenko <viy@altlinux.ru>
BuildRequires: /proc
BuildRequires: jpackage-1.6-compat
%define eclipse_base     %{_libdir}/eclipse
%define eclipse_dropin   %{_datadir}/eclipse/dropins/gef
%define gcj_support 0

Name:      eclipse-gef
Version:   3.4.1
Release:   alt1_2jpp6
Summary:   Graphical Editing Framework (GEF) Eclipse plugin
Group:     Development/Java
License:   EPL
URL:       http://www.eclipse.org/gef/

# source tarball and the script used to generate it from upstream's source control
# script usage:
# $ sh get-gef.sh
Source0:   gef-%{version}.tar.gz
Source1:   get-gef.sh


%if %{gcj_support}
BuildRequires: gcc-java
BuildRequires: java-gcj-compat-devel
Requires(post): java-gcj-compat
Requires(postun): java-gcj-compat
%else
BuildArch:        noarch
%endif
BuildRequires: jpackage-utils
BuildRequires: eclipse-pde >= 1:3.4.1
Requires: jpackage-utils
Requires: eclipse-platform >= 1:3.4.1

%description
The Graphical Editing Framework (GEF) allows developers to create a rich
graphical editor from an existing application model. GEF is completely
application neutral and provides the groundwork to build almost any
application, including but not limited to: activity diagrams, GUI builders,
class diagram editors, state machines, and even WYSIWYG text editors.

%package   sdk
Summary:   Eclipse GEF SDK
Group:     Development/Java
Requires: %{name} = %{version}-%{release}

%description sdk
Documentation and source for the Eclipse Graphical Editing Framework (GEF).

%package   examples
Summary:   Eclipse GEF examples
Group:     Development/Java
Requires: %{name} = %{version}-%{release}
Requires: %{name}-sdk = %{version}-%{release}

%description examples
Example projects that demonstrate how to use the Eclipse Graphical Editing
Framework (GEF).

%prep
%setup -q -n gef-%{version}

rm -r org.eclipse.gef-feature/sourceTemplateFeature
rm -r org.eclipse.draw2d-feature/sourceTemplateFeature
rm -r org.eclipse.zest-feature/sourceTemplateFeature

# make sure upstream hasn't sneaked in any jars we don't know about
JARS=""
for j in `find -name "*.jar"`; do
  if [ ! -L $j ]; then
    JARS="$JARS $j"
  fi
done
if [ ! -z "$JARS" ]; then
   echo "These jars should be deleted and symlinked to system jars: $JARS"
   exit 1
fi

%build
# build all features
%{eclipse_base}/buildscripts/pdebuild -f org.eclipse.gef.all

%install
install -d -m 755 %{buildroot}%{eclipse_dropin}
unzip -q -d %{buildroot}%{eclipse_dropin} build/rpmBuild/org.eclipse.gef.all.zip

%if %{gcj_support}
%{_bindir}/aot-compile-rpm
%endif
%if %{gcj_support}

%post -p %{_bindir}/rebuild-gcj-db
%post sdk -p %{_bindir}/rebuild-gcj-db
%post examples -p %{_bindir}/rebuild-gcj-db
%postun -p %{_bindir}/rebuild-gcj-db
%postun sdk -p %{_bindir}/rebuild-gcj-db
%postun examples -p %{_bindir}/rebuild-gcj-db
%endif

%files
%dir %{eclipse_dropin}
%doc %{eclipse_dropin}/eclipse/epl-v10.html
%doc %{eclipse_dropin}/eclipse/notice.html
%doc %{eclipse_dropin}/eclipse/readme
%{eclipse_dropin}/eclipse/content.xml
%{eclipse_dropin}/eclipse/features/org.eclipse.gef_*
%{eclipse_dropin}/eclipse/features/org.eclipse.draw2d_*
%{eclipse_dropin}/eclipse/features/org.eclipse.zest_*
%{eclipse_dropin}/eclipse/plugins/org.eclipse.gef_*
%{eclipse_dropin}/eclipse/plugins/org.eclipse.draw2d_*
%{eclipse_dropin}/eclipse/plugins/org.eclipse.zest.core_*
%{eclipse_dropin}/eclipse/plugins/org.eclipse.zest.layouts_*

%if %{gcj_support}
%dir %{_libdir}/gcj/%{name}
%{_libdir}/gcj/%{name}/org.eclipse.gef_*
%{_libdir}/gcj/%{name}/org.eclipse.draw2d_*
%{_libdir}/gcj/%{name}/org.eclipse.zest.core_*
%{_libdir}/gcj/%{name}/org.eclipse.zest.layouts_*
%endif
%dir %_datadir/eclipse/dropins/gef/eclipse
%dir %_datadir/eclipse/dropins/gef/eclipse/features
%dir %_datadir/eclipse/dropins/gef/eclipse/plugins

%files sdk
%doc %{eclipse_dropin}/eclipse/epl-v10.html
%doc %{eclipse_dropin}/eclipse/notice.html
%doc %{eclipse_dropin}/eclipse/readme
%{eclipse_dropin}/eclipse/features/org.eclipse.gef.sdk_*
%{eclipse_dropin}/eclipse/features/org.eclipse.gef.source_*
%{eclipse_dropin}/eclipse/features/org.eclipse.draw2d.sdk_*
%{eclipse_dropin}/eclipse/features/org.eclipse.draw2d.source_*
%{eclipse_dropin}/eclipse/features/org.eclipse.zest.sdk_*
%{eclipse_dropin}/eclipse/features/org.eclipse.zest.source_*
%{eclipse_dropin}/eclipse/plugins/org.eclipse.gef.doc.isv_*
%{eclipse_dropin}/eclipse/plugins/org.eclipse.gef.source_*
%{eclipse_dropin}/eclipse/plugins/org.eclipse.gef.examples.ui.pde_*
%{eclipse_dropin}/eclipse/plugins/org.eclipse.draw2d.doc.isv_*
%{eclipse_dropin}/eclipse/plugins/org.eclipse.draw2d.source_*
%{eclipse_dropin}/eclipse/plugins/org.eclipse.zest.source_*

%if %{gcj_support}
%{_libdir}/gcj/%{name}/org.eclipse.gef.examples.ui.pde_*
%endif

%files examples
%doc %{eclipse_dropin}/eclipse/epl-v10.html
%doc %{eclipse_dropin}/eclipse/notice.html
%doc %{eclipse_dropin}/eclipse/readme
%{eclipse_dropin}/eclipse/features/org.eclipse.gef.all_*
%{eclipse_dropin}/eclipse/features/org.eclipse.gef.examples_*
%{eclipse_dropin}/eclipse/plugins/org.eclipse.gef.examples.flow_*
%{eclipse_dropin}/eclipse/plugins/org.eclipse.gef.examples.logic_*
%{eclipse_dropin}/eclipse/plugins/org.eclipse.gef.examples.shapes_*
%{eclipse_dropin}/eclipse/plugins/org.eclipse.gef.examples.source_*
%{eclipse_dropin}/eclipse/plugins/org.eclipse.gef.examples.text_*

%if %{gcj_support}
%{_libdir}/gcj/%{name}/org.eclipse.gef.examples.flow_*
%{_libdir}/gcj/%{name}/org.eclipse.gef.examples.logic_*
%{_libdir}/gcj/%{name}/org.eclipse.gef.examples.shapes_*
%{_libdir}/gcj/%{name}/org.eclipse.gef.examples.text_*
%endif

%changelog
* Fri Jan 02 2009 Igor Vlasenko <viy@altlinux.ru> 3.4.1-alt1_2jpp6
- new version

* Thu Jul 31 2008 Igor Vlasenko <viy@altlinux.ru> 3.3.0-alt1_2jpp6
- rebuild with eclipse 3.3.2

* Tue Dec 04 2007 Igor Vlasenko <viy@altlinux.ru> 3.3.0-alt1_1jpp5.0
- converted from JPackage by jppimport script

* Fri Oct 21 2005 Mikhail Zabaluev <mhz@altlinux.ru> 3.1.1-alt1
- 3.1.1
- Use the Ant XSLT task instead of xsltproc to build file lists

* Wed Aug 03 2005 Mikhail Zabaluev <mhz@altlinux.ru> 3.1-alt1
- Updated to 3.1
- Package the full distribution, with extra features as separate packages
- Corrected description and URL

* Wed Jun 08 2005 Pavel Vainerman <pv@altlinux.ru> 3.0-alt1
- first build
